Subject: Re: [lojban] Logflash on Linux up and running

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Tue, 14 Aug 2001 00:56:31 -0400

At 02:49 PM 8/13/01 -0700, Robin Lee Powell wrote:
>On Mon, Aug 13, 2001 at 05:36:12PM -0400, John Cowan wrote:
> > I have successfully built Logflash on Linux using FPC,
> > the Free Pascal Compiler (http://www.freepascal.org).
> > A tarball with the modified source code and rebuilt index,
> > plus executables for Linux (ELF, glibc) is at
> > http://www.ccil.org/~cowan/lflinux.tar.gz.
>
>Also, will this version work with cmavo? If so, does anyone know what
>format the .raw file needs to be in?

The .raw file is the gismu list as posted on the web page. It has to be 
named "logdata.raw" for LF1 (gismu) and LF2 (rafsi/lujvo-making), 
logdata3.raw for the cmavo list for LF3. You cannot use LF1 with cmavo, 
though the differences between LF1 and LF3 are very minor.

Note that, per John's message
>Unfortunately, the *.LF1 files in logflash.zip (from
>lojban.org as well) weren't in the proper format.
>So I tried to compile lf1bldwd.pas, the word file builder.
>Fatal compile-time error.
>
>I modified lf1bldwd.pas so that 4 lines of the form
>{$I foo} (a Turbo Pascal include directive) took the
>form {$I foo.pas}. Recompiled without errors.
>I grabbed the gismu list at
>http://www.lojban.org/files/wordlists/gismu ,
>renamed it "logdata.raw", and ran lf1bldwd.
>This created new *.LF1 files.

If you have lf1bldwd (which I didn't know was in the online source or I 
would have said something earlier), then you can make tailored word files 
with subsets of the gismu list. All that is needed is to have the number 
on line 1 of the file be the number of words in the file (and retain the 
fixed columnation of the file format). You may also need to follow DOS 
end-of-line convention rather than *nix convention.

There is a corresponding program, lf3bldwd for LF3. No idea if it is 
including in the LF3 source (assuming that is up on the web site).

lojbab
--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org